# Get workflow approvers
Retrieve the properties of a workflowApprover object in Business Central.
## HTTP request
Replace the URL prefix for Business Central based on the environment. See API endpoints<../endpoints-apis-for-dynamics>.
```http
GET businesscentralPrefix/companies({companyId})/workflowApprovers({workflowApproverId})
```
To retrieve all workflow approvers, omit `({workflowApproverId})` from the request URL.
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
## Request body
Don't supply a request body for this method.
## Response
If successful, this method returns a `200 OK` response code and a workflowApprover object in the response body.
## Example
Request
Here's an example of the request.
```http
GET https://{businesscentralPrefix}/api/v2.0/companies({companyId})/workflowApprovers({workflowApproverId})
```
Response
Here's an example of the response.
```json
{
    "id": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
    "workflowCode": "PURCH-ORDER",
    "workflowDescription": "Purchase Order Approval Workflow",
    "category": "PURCHASE",
    "enabled": true,
    "workflowStepId": 10,
    "argumentId": "bbbbbbbb-1111-2222-3333-cccccccccccc",
    "approverType": "Approver",
    "approverLimitType": "Direct Approver",
    "userGroupCode": "",
    "userGroupDescription": "",
    "userId": "00aa00aa-bb11-cc22-dd33-44ee44ee44ee",
    "userName": "sara@contoso.com",
    "sequence": 1,
    "lastModifiedDateTime": "2026-08-04T11:15:00Z"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_workflowapprover

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_workflowapprover_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_workflowapprover_get/
